local CattleProduction = ...

CattleProduction:registerAssetProcessor("models/cattlefarm.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- register cattle farm
CattleProduction:registerAssetId("models/cattlefarm.fbx/Prefab/CattlefarmPart", "CATTLE_V3_CATTLEFARM_PREFAB")
CattleProduction:registerAssetId("models/cattlefarm.fbx/Prefab/Construction_Steps", "CATTLE_V3_CATTLEFARM_CONSTRUCTION_PREFAB")

-- register cattle farm
CattleProduction:register({
	DataType = "BUILDING",
	Id = "CATTLE_V3_CATTLEFARM",
	Name = "CATTLE_V3_CATTLEFARM_NAME",
	Description = "CATTLE_V3_CATTLEFARM_DESC",
	BuildingType = "GENERAL",
	BuildingPartSetList = {
		{
			Name = "CATTLE_V3_CATTLEFARM_PARTSETLIST_NAME",
	                BuildingPartList = { "CATTLE_V3_CATTLEFARM_PART" }
                }
        }
})

CattleProduction:register({
	DataType = "BUILDING_PART",
	Id = "CATTLE_V3_CATTLEFARM_PART",
	ConstructionVisual = "CATTLE_V3_CATTLEFARM_CONSTRUCTION_PREFAB",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "CATTLE_V3_CATTLEFARM_PREFAB"
	},
	Cost = {
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 20 },
			{ Resource = "STONE", Quantity = 10 }
		}
	},
	AssetBuildingFunction = "CATTLE_V3_CATTLEFARM_FUNCTION"
})
CattleProduction:register({
		DataType = "BUILDING_FUNCTION_LIVESTOCK_FARM",
                Id = "CATTLE_V3_CATTLEFARM_FUNCTION",
		WorkerCapacity = 2,
		RelatedJob = { 
			Job = "SHEPHERD",
			Behavior = "WORK_BEHAVIOR"
		},
		ResourceProduced = {
			{ Resource = "J2BF8_CATTLE", Quantity = 1 }
		},
                SpawningLivestock = "PREFAB_LIVESTOCK_COW",
                SpawnLivestockButtonText = "CATTLE_V3_CATTLEFARM_SPAWN_TEXT",
                RemoveLivestockButtonText = "CATTLE_V3_CATTLEFARM_REMOVE_TEXT"
})
CattleProduction:registerPrefabComponent("models/cattlefarm.fbx/Prefab/CattlefarmPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 12, 10 }
})

-- register grass clearing area
CattleProduction:registerPrefabComponent("models/cattlefarm.fbx/Prefab/CattlefarmPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 10, 8 }
})